%define upstream_name    MooX-Options
%define upstream_version 4.022

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Role that is apply to your object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Record)
BuildRequires: perl(English)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long) >= 2.430.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.99.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Import::Into)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(Module::Build) >= 0.421.100
BuildRequires: perl(Module::Metadata) >= 1.0.19
BuildRequires: perl(Moo) >= 1.3.1
BuildRequires: perl(MooX::ConfigFromFile)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Class) >= 0.320.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Role::Tiny::With)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::Size::Any)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Text::LineFold)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(feature)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Use Getopt::Long::Descritive to provide command line option for your
Mo/Moo/Moose Object.

This module will add "option" which act as "has" but support additional
feature for getopt.

You will have "new_with_options" to instanciate new object for command
line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 4.22.0-2.mga6
+ Revision: 1030721
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 4.22.0-1.mga6
+ Revision: 1002160
- update to 4.022

* Thu Feb 18 2016 umeabot <umeabot> 4.18.0-2.mga6
+ Revision: 967372
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 4.18.0-1.mga6
+ Revision: 848767
- update to 4.018

* Thu Dec 11 2014 sander85 <sander85> 4.10.0-4.mga5
+ Revision: 802725
- Fix BRs

  + umeabot <umeabot>
    - Rebuild to potentially add missing dependencies
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 4.10.0-1.mga5
+ Revision: 672858
- update to 4.010

* Wed Jul 09 2014 sander85 <sander85> 4.9.0-1.mga5
+ Revision: 650883
- update to 4.009

* Mon Feb 24 2014 jquelin <jquelin> 4.8.0-1.mga5
+ Revision: 596327
- update to 4.008

* Tue Oct 22 2013 umeabot <umeabot> 3.880.0-2.mga4
+ Revision: 542212
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 3.880.0-1.mga4
+ Revision: 497104
- update to 3.88

* Sat Sep 28 2013 sander85 <sander85> 3.860.0-1.mga4
+ Revision: 488413
- update to 3.86

* Thu Sep 26 2013 sander85 <sander85> 3.850.0-1.mga4
+ Revision: 487155
- update to 3.85

* Fri Sep 13 2013 sander85 <sander85> 3.840.0-1.mga4
+ Revision: 478460
- update to 3.84

* Mon Jun 10 2013 jquelin <jquelin> 3.830.0-1.mga4
+ Revision: 441671
- update to 3.83

* Thu Mar 28 2013 jquelin <jquelin> 3.770.0-1.mga3
+ Revision: 406025
- add missing buildrequires & %%description
- imported package perl-MooX-Options


* Thu Mar 28 2013 cpan2dist 3.77-1mga
- initial mageia release, generated with cpan2dist
